/* Gnofract -- a little fractal generator-browser program
 * Copyright (C) 1999 2000  Aurelien Alleaume
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */
#include <math.h>
#include "test-function.h"

struct rgb (*test_fonction) (double X, double Y, int eject_val, int nbit_max, struct rgb * cmap);
void (*init_plugin) ();
void (*unload_plugin) ();
inline struct rgb test_mandelbrot(double X, double Y, int eject_val, int nbit_max,
				  struct rgb *cmap);




/*
*	misc
*/

void realloc_memory(struct param_image *param);

void init_cmap(struct param_image *param_current);

void refresh_image(void);

inline void gtk_stuff_init(void);

inline void gtk_stuff(gfloat pourcentage, int y);

inline void gtk_stuff_fin(void);

void property_box_refresh(void);

int calc(struct param_image *param, int my_calc_num);

inline void show_image(struct param_image param);

int load_cmap(struct param_image *param);

int load_formula(struct param_image *param);

inline void redraw_image_zone(GtkWidget * widget, int x, int y, int width,
			      int height, int image_width, struct rgb *img);

void property_box_refresh(void);

void reset_coord(void);
